{% extends "outside/layout_outside.html" %}
{% load bootstrap %}
{% load i18n %}
{% get_current_language as LANGUAGE_CODE %}

{% block content %}

    <div class="slice" id="login-slice">
        <div class="container">

            <div class="row">
                <div class="col-sm-12">

                    {% if browser_old %}
                        {% if LANGUAGE_CODE == 'en' %}
                            <div class="alert alert-error">
                                <span class="icon fa fa-exclamation-triangle"></span>
                                Your browser version is outdated and not supported by AgriPlace. Please update your browser and try again (e.g. Chrome, Firefox or Internet Explorer).
                                {# Disabled until we have a FAQ page to link to #}
                                {#        <p>#}
                                {#            <a href="#">#}
                                {#                <span class="icon {{ ICONS.help }}"></span>#}
                                {#                {% trans "Read more" %}#}
                                {#            </a>#}
                                {#        </p>#}
                            </div>
                        {% endif %}
                        {% if LANGUAGE_CODE == 'nl' %}
                            <div class="alert alert-error">
                                <span class="icon fa fa-exclamation-triangle"></span>
                                De door u gebruikte browser (versie) ondersteunt AgriPlace niet. Download een nieuwere versie van uw browser en probeer het opnieuw (bijv. Chrome v20+, Internet Explorer v10+, Firefox v17+).
                                {# Disabled until we have a FAQ page to link to #}
                                {#        <p>#}
                                {#            <a href="#">#}
                                {#                <span class="icon {{ ICONS.help }}"></span>#}
                                {#                {% trans "Read more" %}#}
                                {#            </a>#}
                                {#        </p>#}
                            </div>
                        {% endif %}
                    {% endif %}

                </div>
            </div>

            <div class="row">

                <div class="col-sm-4">
                    <form action="{% url "auth_login" %}" method="post" class="form">

                        <div class="page-section page-section-boxed">
                            <div class="page-section-header">
                                <h2>
                                    {% trans "Log in" %}
                                </h2>
                            </div>

                            <div class="page-section-content">
                                {% csrf_token %}
                                <input type="hidden" name="next" value="{{ next }}" />

                                {{ form|bootstrap }}

                                <div>
                                    <div class="pull-right">
                                        <a href="{% url "auth_password_reset" %}" class="pull-right btn btn-default">
                                            {% trans "Forgot your password?" %}
                                        </a>
                                    </div>
                                    <button type="submit" class="btn btn-primary" id="submit-button">
                                        {% trans "Log in" %}
                                    </button>
                                    <div class="clearfix"></div>
                                </div>
                            </div>

                        </div>
                    </form>
                </div>


                {% if not layout_name == 'hzpc' %}
                    <div class="col-sm-6 col-sm-offset-1">

                        {% if browser_unknown %}

                            {% if LANGUAGE_CODE == 'en' %}
                                <div class="alert alert-warning">
                                    <span class="icon fa fa-exclamation-triangle"></span>
                                    AgriPlace did not recognize your browser application. You can proceed, but may encounter problems.
                                </div>
                            {% endif %}

                            {% if LANGUAGE_CODE == 'nl' %}
                                <div class="alert alert-warning">
                                    <span class="icon fa fa-exclamation-triangle"></span>
                                    AgriPlace herkent u browser niet. U kunt doorgaan maar kunt problemen ondervinden.
                                </div>
                            {% endif %}

                        {% endif %}

                        <h2>{% trans "Welcome!" %}</h2>
                        <h4>{% trans "New to AgriPlace? Register your account now." %}</h4>
                        <br/>
                        <p>
                            <a href="{% url 'registration_register' %}" class="btn btn-primary btn-large">
                                {% trans "Create new account" %}
                            </a>
                        </p>

                    </div>
                {% endif %}
            </div>
                </div>
            </div>
        </div>
    </div>

{% endblock content %}
